##
##  doclifter.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         doclifter
Summary:      Roff/MAN to XML/DocBook Converter
URL:          http://www.catb.org/~esr/doclifter/
Vendor:       Eric S. Raymond
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        XML
License:      GPL
Version:      2.21
Release:      20240216

#   list of sources
Source0:      http://www.catb.org/~esr/doclifter/doclifter-%{version}.tar.gz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101, python

%description
    The doclifter program translates documents written in troff macros
    to DocBook. Lifting documents from presentation level to semantic
    level is hard, and a really good job requires human polishing. This
    tool aims to do everything that can be mechanized, and to preserve any
    troff-level information that might have structural implications in
    SGML/XML comments.

%track
    prog doclifter = {
        version   = %{version}
        url       = http://www.catb.org/~esr/doclifter/
        regex     = doclifter-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    chmod -R u+rw .

%build

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    %{l_shtool} install -c -m 755 \
        -e 's;#!/usr/bin/env python2;#!%{l_prefix}/bin/python;' \
        doclifter $RPM_BUILD_ROOT%{l_prefix}/bin/
    %{l_shtool} install -c -m 644 \
        doclifter.1 $RPM_BUILD_ROOT%{l_prefix}/man/man1/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

